%define upstream_name    IPTables-Parse
%define upstream_version 1.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for parsing iptables and ip6tables policies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPTables/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The 'IPTables::Parse' package provides an interface to parse iptables or
ip6tables rules on Linux systems through the direct execution of
iptables/ip6tables commands, or from parsing a file that contains an
iptables/ip6tables policy listing. You can get the current policy applied
to a table/chain, look for a specific user-defined chain, check for a
default DROP policy, or determing whether or not logging rules exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README VERSION
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Nov 15 2015 tv <tv> 1.600.0-1.mga6
+ Revision: 903255
- new release

* Mon Sep 28 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 884659
- update to 1.5

* Tue Jun 30 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 848635
- update to 1.4

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 742462
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 685111
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 612850
- imported package perl-IPTables-Parse

